"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScriptQuery = void 0;
const abstract_query_1 = require("./abstract.query");
class ScriptQuery extends abstract_query_1.AbstractQuery {
    constructor(source) {
        super();
        this.source = source;
    }
    getQuery() {
        return { script: { script: { source: this.source, lang: 'painless' } } };
    }
}
exports.ScriptQuery = ScriptQuery;
//# sourceMappingURL=script.query.js.map